GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
internal_metadata Struct Reference

## Data Fields
internal_string * | key
internal_string * | value
gpr_atm | refcnt
gpr_mu | mu_user_data
void * | user_data
void(* | destroy_user_data )(void *user_data)
grpc_mdctx * | context
struct internal_metadata * | bucket_next

## Field Documentation

struct internal_metadata* internal_metadata::bucket_next

grpc_mdctx* internal_metadata::context

void(* internal_metadata::destroy_user_data)(void *user_data)

internal_string* internal_metadata::key

gpr_mu internal_metadata::mu_user_data

gpr_atm internal_metadata::refcnt

void* internal_metadata::user_data

internal_string* internal_metadata::value

The documentation for this struct was generated from the following file:

- src/core/transport/metadata.c